# Repush Notification

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/business/repushnotification`

#### Request Body

| Name                                        | Type   | Description                                                                                   |
| ------------------------------------------- | ------ | --------------------------------------------------------------------------------------------- |
| reference<mark style="color:red;">\*</mark> | String | This can be your system generated reference or reference received from us for the transaction |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "status": true,
  "message": "Transaction Successfully Sent For Repush"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "status": false,
    "message": "Invalid Authorization Key "
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location --request GET 'https://api.oneappgo.com/v1/business/repushnotification' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data '{
    "reference": "G670846795808"
}
```

{% endtab %}

{% tab title="NodeJs" %}

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/business/repushnotification',
  'headers': {
    'Authorization': 'Bearer SECRET_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "reference": "G670846795808"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

````php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/business/repushnotification',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_POSTFIELDS =>'{
    "reference": "G1670846795808"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer SECRET_KEY',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```
````

{% endtab %}

{% tab title="Python" %}

```javascript
import requests
import json

url = "https://api.oneappgo.com/v1/business/repushnotification"

payload = json.dumps({
  "reference": "G1670846795808"
})
headers = {
  'Authorization': 'Bearer SECRET_KEY',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}

## Sample response

```javascript
{
    "status": true,
    "message": "Transaction Successfully Sent For Repush"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/v1/repush-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
